{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            "name": "General training paradigm",
            "type": "python",
            "request": "launch",
            "program": "general_grasp_training.py",
            "console": "integratedTerminal",
            "cwd": "${workspaceFolder}/backend",
            "justMyCode": true,
            "args": ["--subj", "XW01", 
            "--n-trials", "15", 
            "--hand-feedback",
            "--com", "COM3", 
            "-fm", "flex", 
            "-vfr", "0.", 
            "--difficulty", "mid",
            "--model-path", "./static/models/XW01/riemann_rest+flex_12-05-2023-19-10-25.pkl"]
        },
        {
            "name": "Grasp training",
            "type": "python",
            "request": "launch",
            "program": "grasp_data_collection_no_release.py",
            "console": "integratedTerminal",
            "cwd": "${workspaceFolder}/backend",
            "justMyCode": true,
            "args": ["--n-trials", "15", 
            "--com", "COM3", 
            "-fm", "flex"]
        },
        {
            "name": "Free grasping paradigm",
            "type": "python",
            "request": "launch",
            "program": "free_grasp.py",
            "console": "integratedTerminal",
            "cwd": "${workspaceFolder}/backend",
            "justMyCode": true,
            "args": ["--subj", "XW01", 
            "--com", "COM3", 
            "-scth", "0.9",
            "-stp", "0.9",
            "--model-path", "./static/models/XW01/riemann_rest+flex_12-05-2023-19-10-25.pkl"]
        },
        {
            "name": "Band selection",
            "type": "python",
            "request": "launch",
            "program": "band_selection.py",
            "console": "integratedTerminal",
            "cwd": "${workspaceFolder}/backend",
            "justMyCode": true,
            "args": ["--subj", "XW01", 
            "--band-min", "5", 
            "--band-max", "150"]
        },
        {
            "name": "Train model",
            "type": "python",
            "request": "launch",
            "program": "training.py",
            "console": "integratedTerminal",
            "cwd": "${workspaceFolder}/backend",
            "justMyCode": true,
            "args": ["--subj", "XW01", 
            "--model-type", "riemann"]
        },
        {
            "name": "Validation",
            "type": "python",
            "request": "launch",
            "program": "validation.py",
            "console": "integratedTerminal",
            "cwd": "${workspaceFolder}/backend",
            "justMyCode": true,
            "args": ["--subj", "XW01", 
            "--model-filename", "riemann_rest+flex_12-06-2023-17-38-27.pkl"]
        },
        {
            "name": "Online simulation",
            "type": "python",
            "request": "launch",
            "program": "online_sim.py",
            "console": "integratedTerminal",
            "cwd": "${workspaceFolder}/backend",
            "justMyCode": true,
            "args": ["--subj", "XW01", 
            "-scth", "0.9",
            "-stp", "0.9",
            "--model-filename", "riemann_rest+flex_12-06-2023-17-38-27.pkl"]
        },
        {
            "name": "Train hmm",
            "type": "python",
            "request": "launch",
            "program": "train_hmm.py",
            "console": "integratedTerminal",
            "cwd": "${workspaceFolder}/backend",
            "justMyCode": true,
            "args": ["--subj", "XW01", 
            "--model-filename", "riemann_rest+flex_12-06-2023-17-38-27.pkl"]
        },
        {
            "name": "Python: 当前文件",
            "type": "python",
            "request": "launch",
            "program": "${file}",
            "console": "integratedTerminal",
            "cwd": "${workspaceFolder}/backend",
            "justMyCode": true
        },
        {
            "name": "Python: Debug Tests",
            "type": "python",
            "request": "launch",
            "program": "${file}",
            "purpose": [
                "debug-test"
            ],
            "console": "integratedTerminal",
            "cwd": "${workspaceFolder}/backend",
            "env": {
                "PYTHONPATH": "${workspaceFolder}/backend"
            },
            "justMyCode": false,
        }
    ]
}